org.appng.api.config

## Class ApplicationConfig

- java.lang.Object
- - org.appng.api.config.ApplicationConfig

- Direct Known Subclasses:
    ApplicationTestConfig

      @Configuration
      public class ApplicationConfig
      extends Object

  Basic `Configuration` for all `Application`s.
  Since:
    1.23
  Author:
    Matthias Müller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.context.support.ConversionServiceFactoryBean` | `conversionService()`
    `Environment` | `environment(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, Site site)`
    `ResourceBundleMessageSource` | `messageSource()`
    `RequestFactoryBean` | `request(Environment env, Site site, Application application, javax.servlet.http.HttpServletRequest request, org.springframework.core.convert.ConversionService conversionService, org.springframework.context.MessageSource messageSource)`
    `SelectionFactory` | `selectionFactory()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationConfig

          public ApplicationConfig()

  - ### Method Detail

    - #### conversionService

          @Bean
          public org.springframework.context.support.ConversionServiceFactoryBean conversionService()

    - #### messageSource

          @Bean
          public ResourceBundleMessageSource messageSource()

    - #### selectionFactory

          @Bean
          public SelectionFactory selectionFactory()

    - #### environment

          @Bean
           @RequestScope(proxyMode=NO)
          public Environment environment(javax.servlet.http.HttpServletRequest request,
                                                                            javax.servlet.http.HttpServletResponse response,
                                                                            Site site)

    - #### request

          @Bean
           @RequestScope(proxyMode=NO)
          public RequestFactoryBean request(Environment env,
                                                                               Site site,
                                                                               Application application,
                                                                               javax.servlet.http.HttpServletRequest request,
                                                                               org.springframework.core.convert.ConversionService conversionService,
                                                                               org.springframework.context.MessageSource messageSource)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.